## org.mortbay.terracotta.servlet
Class TerracottaSessionManager.SessionData

    java.lang.Object
      org.mortbay.terracotta.servlet.TerracottaSessionManager.SessionData

Enclosing class:
  TerracottaSessionManager

    public static class TerracottaSessionManager.SessionData

extends Object

The session data that is distributed to cluster nodes via Terracotta.

Constructor Summary
`TerracottaSessionManager.SessionData(String sessionId, long maxIdleMs)`

Method Summary
`protected Map` `getAttributeMap()`
`long` `getCookieTime()`
`long` `getCreationTime()`
`long` `getExpirationTime()`
`String` `getId()`
`long` `getPreviousAccessTime()`
`void` `setCookieTime(long time)`
`void` `setExpirationTime(long time)`
`void` `setPreviousAccessTime(long time)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerracottaSessionManager.SessionData

    public TerracottaSessionManager.SessionData(String sessionId,
                                                long maxIdleMs)

Method Detail

### getId

    public String getId()

### getAttributeMap

    protected Map getAttributeMap()

### getCreationTime

    public long getCreationTime()

### getExpirationTime

    public long getExpirationTime()

### setExpirationTime

    public void setExpirationTime(long time)

### getCookieTime

    public long getCookieTime()

### setCookieTime

    public void setCookieTime(long time)

### getPreviousAccessTime

    public long getPreviousAccessTime()

### setPreviousAccessTime

    public void setPreviousAccessTime(long time)

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.